import { Component, Prop, h } from "@stencil/core";
export class SSaqhanEventCard {
    constructor() {
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category text-warning small";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
                default:
                    classCategory;
            }
        };
    }
    render() {
        return (h("div", { class: "blog-card" },
            h("div", { class: "blog-img", style: { backgroundImage: "url(" + this.event.img + ")" } },
                h("span", { class: !this.event.date ? 'no-date' : 'date-event' },
                    " ",
                    this.event.date,
                    " ")),
            h("div", { class: this.ColorCategory(this.event.category) }, this.event.category),
            h("div", { class: "blog-title pt-3 font-weight-bold" }, this.event.title),
            h("div", { class: "btn-read pt-3" },
                h("a", { href: "/second-page/" },
                    " ",
                    this.event.btnText,
                    " "))));
    }
    static get is() { return "s-saqhan-event-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-event-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-event-card.css"]
    }; }
    static get properties() { return {
        "event": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "event",
            "reflect": false
        }
    }; }
}
