import { Component, h, Prop } from "@stencil/core";
export class SSaqhanMainNewsCard {
    constructor() {
        this.ColorCategory = (nameCategory) => {
            const classCategory = 'category category-news pt-3 small';
            switch (nameCategory) {
                case 'Report':
                    return `report ${classCategory}`;
                case `Webinar ${classCategory}`:
                    return `webinar ${classCategory}`;
                case 'Blog Post':
                    return `blog-post ${classCategory}`;
                default: classCategory;
            }
        };
    }
    render() {
        return (h("div", { class: "main-news" },
            h("div", null,
                h("div", { class: "img-news m-auto" }),
                h("div", { class: this.ColorCategory(this.mainNews.category) }, this.mainNews.category),
                h("div", { class: "title-news pt-3 h2 font-weight-bold" }, this.mainNews.title),
                h("div", { class: "sub-title-news pt-3 pb-3 text-muted" }, this.mainNews.subTitle),
                h("a", { href: "/second-page/", class: "btn btn-primary btn-custom" }, this.mainNews.btnText))));
    }
    static get is() { return "s-saqhan-main-news-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-main-news-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-main-news-card.css"]
    }; }
    static get properties() { return {
        "mainNews": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "main-news",
            "reflect": false
        }
    }; }
}
